TEST(1)

BEZEICHNUNG
test - Dateitypen überprüfen und Werte vergleichen

ÜBERSICHT
test AUSDRUCK
test
[ AUSDRUCK ]
[ ]"
[ OPTION

BESCHREIBUNG

Das Programm wird mit einem Exit-Status gemäß AUSDRUCK beendet.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Ein weggelassener AUSDRUCK liefert den Wert falsch. Anderenfalls ist AUSDRUCK wahr oder falsch und setzt den Exit-Status. Er ist wie folgt:

( AUSDRUCK )
    AUSDRUCK ist wahr

! AUSDRUCK
    AUSDRUCK ist falsch

AUSDRUCK1 -a AUSDRUCK2
    Sowohl AUSDRUCK1 als auch AUSDRUCK2 sind wahr

AUSDRUCK1 -o AUSDRUCK2
    Entweder AUSDRUCK1 oder AUSDRUCK2 sind wahr

-n ZEICHENKETTE
    Die Länge von ZEICHENKETTE ist ungleich Null

ZEICHENKETTE
    Äquivalent zu -n ZEICHENKETTE

-z ZEICHENKETTE
    Die Länge von ZEICHENKETTE ist Null

ZEICHENKETTE1 = ZEICHENKETTE2
    Die Zeichenketten sind identisch

ZEICHENKETTE1 != ZEICHENKETTE2
    Die Zeichenketten sind nicht identisch

GANZZAHL1 -eq GANZZAHL2
    GANZZAHL1 ist gleich GANZZAHL2

GANZZAHL1 -ge GANZZAHL2
    GANZZAHL1 ist größer als oder gleich GANZZAHL2

GANZZAHL1 -gt GANZZAHL2
    GANZZAHL1 ist größer als GANZZAHL2

GANZZAHL1 -le GANZZAHL2
    GANZZAHL1 ist kleiner als oder gleich GANZZAHL2

GANZZAHL1 -lt GANZZAHL2
    GANZZAHL1 ist kleiner als GANZZAHL2

GANZZAHL1 -ne GANZZAHL2
    GANZZAHL1 ist nicht gleich GANZZAHL2

DATEI1 -ef DATEI2
    DATEI1 und DATEI2 haben dieselbe Geräte- und Inode-Nummern

DATEI1 -nt DATEI2
    DATEI1 ist neuer (Änderungsdatum) als DATEI2

DATEI1 -ot DATEI2
    DATEI1 ist älter als DATEI2

-b DATEI
    DATEI existiert und ist ein »block special«

-c DATEI
    DATEI existiert und ist ein »character special«

-d DATEI
    DATEI existiert und ist ein Verzeichnis

-e DATEI
    DATEI existiert

-f DATEI
    DATEI existiert und ist eine reguläre DATEI

-g DATEI
    DATEI existiert und das »Set-Group-ID«-Bit ist gesetzt

-G DATEI
    DATEI existiert und gehört der effektiven Gruppenkennung

-h DATEI
    DATEI existiert und ist ein symbolischer Link (identisch zu -L)

-k DATEI
    DATEI existiert und hat das »Sticky«-Bit gesetzt

-L DATEI
    DATEI existiert und ist ein symbolischer Link (identisch zu -h)

-N DATEI
    DATEI existiert und wurde seit dem letzten Lesen geändert

-O DATEI
    DATEI existiert und gehört der effektiven Benutzerkennung

-p DATEI
    DATEI existiert und ist eine benannte Pipe

-r DATEI
    DATEI existiert und ist lesbar

-s DATEI
    DATEI existiert und hat eine Größe größer Null

-S DATEI
    DATEI existiert und ist ein »Socket«

-t FD
    Datei-Deskriptor FD ist auf einem Terminal geöffnet

-u DATEI
    DATEI existiert und das »Set-User-ID«-Bit ist gesetzt

-w DATEI
    DATEI existiert und ist schreibbar

-x DATEI
    DATEI existiert und ist ausführbar (oder darf gesucht werden)

Außer den Tests -h und -L werden symbolische Links von allen DATEI-Tests dereferenziert. Bedenken Sie, dass runde Klammern für Shells maskiert werden müssen, z.B. mit Rückschrägstrichen (»backslashes«). GANZZAHL kann auch -l ZEICHENKETTE sein, das durch die Länge der ZEICHENKETTE ersetzt wird.

HINWEIS: Binäre -a und -o sind inhärent mehrdeutig. Verwenden Sie stattdessen »test EXPR1 && test EXPR2« oder »test EXPR1 || test EXPR2«.

HINWEIS: »[« beachtet die Optionen --help und --version, »test« nicht. Das Programm test behandelt beide so, wie es auch jede andere ZEICHENKETTE behandelt, die nicht leer ist.

HINWEIS: Ihre Shell hat eventuell eine eigene Version von test oder [, die üblicherweise die hier beschriebene Version ersetzt. Bitte lesen Sie die Dokumentation Ihrer Shell für Details über die Optionen, die sie unterstützt.

AUTOR
Geschrieben von Kevin Braunsdorf und Matthew Bradburn.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: <https://www.gnu.org/software/coreutils/>
Melden Sie Fehler in der Übersetzung an <https://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2019 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation finden Sie hier: <http://www.gnu.org/software/diffutils/[>
oder lokal verfügbar mit: info '(coreutils) test invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.